# CHANGELOG
All more or less important changes to ImpPack project will be documented here.

## [1.1.8] - 2023-06-28

- updated to 1.20

### Added
- Blaze mob variant
- Blue Frog variant - biome Sparse Jungle
- Ari, Sunny zombie variants
- custom Fence template models
- [No Chat Reports](https://www.curseforge.com/minecraft/mc-mods/no-chat-reports/files) mod support - GUI textures
- [Mod Menu](https://modrinth.com/mod/modmenu/) mod support - GUI textures 

### Changed
- GUI
- Empty armor, ore/material, shield, tool & weapon slots
- Empty sithing template armor trim & netherite upgrade slot
- Acacia Fence
- Birch Fence
- Crimson Fence
- Dark Oak Fence
- Jungle Fence
- Mangrove Fence
- Oak Fence
- Warped Fence
- Vex (again)
- Blaze
- Zenobiusz Zombie (regular and miner), Husk variants - updated

### Removed
- variants of Cobblestone
- Cocoa Beans - fixed stage2 model and texture
- variants of Mossy Cobblestone
- Technoblade pig mob variant (due to issue with the texture display)

### Fixed
- Lever - particle of the missing texture
- Replay Mod gui - slider matches the widget style of ImpPack, the timeline and keyframe marker and icons are now displayed correctly
- Vex texture for 22w45a+

## [1.1 RUC b1]-[1.1 RUC b8] - 2022-08-09

### Added
- Bookshelf variants
- Carpets - optifine conneced textures
- Cut Copper Double Slabs
- Plank Double Slabs
- End Stone Bricks Double Slab
- Purpur Double Slab
- "Bring the the horizon!" spash text
- "The moon shines brighter when im alone?" spash text
- "OMG! It's beetroot!" spash text
- "Bella, are you there?" spash text
- green variant for blue Axolotl - optifine mob textures
- variants with a bell & a custom name "Milka" for Cow - optifine mob model & textures
- variant with a custom name "Reddit" for Creeper - optifine mob model & textures
- Alex & [Zenobiusz](https://twitter.com/mattwolsky) variants for Husk - optifine mob model & textures
- variant with a custom name "Technoblade" for Pig - optifine mob model & textures
- ginger variants for brown & salt Rabbit - optifine mob textures
- Alex & Steve clothes variants for Skeleton - optifine mob model & textures
- Alex, Zenobiusz, Zombie miner, Alex miner & Zenobiusz miner variants for Zombie - optifine mob model & textures
- biomes-dependent variances of Illagers (Evoker, Vindicator, Pillager, Ravager)
- variant with a custom name "Johnny" for Vindicator - optifine mob model & textures
- Drowned - emissive texture
- Ender Dragon Egg - emissive texture
- End Crystal - emissive texture
- Glow Squid - emissive texture - visible when it's not glow after hit
- Spawner - emissive texture
- Spectral Arrow - entity - emissive texture
- Carpets - connected textures
- Diamond Sword - custom item texture - name for cit: "Blue Rose Sword"
- Elytra - custom item textures
- Enchanted Book - custom item textures - Curse of Vanishing, Curse of Binding
- Name Tag - custom item texture
- Netherite Sword - custom item texture - name for cit: "Night Sky Sword"
- Replay Mod support - changed camera head and some GUI elements

### Changed
- Beacon
- Bookshelf
- Carpets
- Cartography Table & Fletching Table - bottom texures
- Crafting Table
- Ender Dragon Egg
- Farmland - side textures
- Hanging Roots 
- Lever
- Lily Pad
- Podzol
- Purpur Block
- Purpur Pillar
- Redstone Torch, Soul Torch & Torch - blocks
- Spawner - top texture
- Stonecutter
- Stripped Acacia Log
- Stripped Birch Log
- Stripped Crimson Stem
- Stripped Dark Oak Log
- Stripped Jungle Log
- Stripped Mangrove Log
- Stripped Oak Log
- Stripped Warped Stem
- Teracotta
- Weeping Vines
- Apple
- Golden Apple
- Barrier - item
- Bowl, Beetroot Soup, Mushroom Stew, Rabbit Stew & Suspicious Stew
- Blaze Powder
- Blaze Rod
- Book, Enchanted Book, Knowledge Book, Writable Book & Written Book
- Diamond Axe, Diamond Hoe, Diamond Pickaxe, Diamond Shovel & Diamond Sword
- Elytra & Brocken Elytra
- End Crystal - item
- Ender Pearl
- Experience Bottle
- Fishing Rod, Carrot on a Stick & Warped Fungus on a stick
- Flint and Steel
- Glow Item Frame & Item Frame
- Golden Axe, Golden Hoe, Golden Pickaxe, Golden Shovel & Golden Sword
- Iron Axe, Iron Hoe, Iron Pickaxe, Iron Shovel & Iron Sword
- Map & Filled Map
- Name Tag - items
- Netherite Axe, Netherite Hoe, Netherite Pickaxe, Netherite Shovel & Netherite Sword
- Nether Wart - item
- Painting - item
- Shears
- Shield
- Spawn Egg
- Stone Axe, Stone Hoe, Srone Pickaxe, Stone Shovel & Stone Sword
- Structure Void - item
- Redstone Torch, Soul Torch & Torch - items
- Trident - item
- Wooden Axe, Wooden Hoe, Wooden Pickaxe, Wooden Shovel, Wooden Sword
- Banner
- Cat - Black (Newton), Ocelot, Red
- Conduit - resolution of Heart of the Sea
- Creeper
- Drowned
- End Crystal - entity
- Ender Dragon
- Evoker
- Glow Squid
- Illusioner
- Pillager
- Polarbear
- Spectral Arrow
- Tripped Arrow
- Shulker
- Snow Golem
- Spider and Cave Spider
- Strider
- Squid
- Trident & Trident riptide animation
- Vex
- Vindicator
- Witch
- Zoglin
- Zombiefied Piglin
- Renamed music disc description - "C418 - wait" to "C418 - where are we now" 
- Mojang Studios loading screen - colormap - dark gray instead of bright reddish color 
- some GUI elements
- all paintings frame & refreshed look of some paintings
- "stage" painting shows "The Great Wave off Kanagawa"

### Removed
- old JP's ImpPack (v1.0) assets and additional content

### Deprecated
- variants of Cobblestone
- Cocoa Beans - fixed stage2 model and texture
- variants of Mossy Cobblestone